// clone on arrays
class C {
    C foo;
    static public void main(String[] args) /*throws Exception*/ {
	//	C a = new C();
	//C b = (C)a.clone();

	C[] x = new C[3];
	x = new C[5];
       	x[2] = new C();
	x[3] = new D();
	C[] y = (C[])x.clone();
	y[3] = x[2];
    }   

}

class D extends C { }
